# README

[![Build Status](https://secure.travis-ci.org/egeloen/ivory-google-map.png?branch=master)](http://travis-ci.org/egeloen/ivory-google-map)
[![Coverage Status](https://coveralls.io/repos/egeloen/ivory-google-map/badge.png?branch=master)](https://coveralls.io/r/egeloen/ivory-google-map?branch=master)

The Ivory Google Map project provides a Google Map integration for your PHP 5.3+ Project. It allows you to manage map,
controls, overlays, events & services through the Google Map API v3.

## Documentation

   1. [Installation](http://github.com/egeloen/ivory-google-map/blob/master/doc/installation.md)
   2. [Usage](http://github.com/egeloen/ivory-google-map/blob/master/doc/usage.md)
      - [Map](http://github.com/egeloen/ivory-google-map/blob/master/doc/usage/map.md)
      - [Overlays](http://github.com/egeloen/ivory-google-map/blob/master/doc/usage/overlays/index.md)
         - [Marker](http://github.com/egeloen/ivory-google-map/blob/master/doc/usage/overlays/marker.md)
         - [Info window](http://github.com/egeloen/ivory-google-map/blob/master/doc/usage/overlays/info_window.md)
         - [Info box](http://github.com/egeloen/ivory-google-map/blob/master/doc/usage/overlays/info_box.md)
         - [Polyline](http://github.com/egeloen/ivory-google-map/blob/master/doc/usage/overlays/polyline.md)
         - [Encoded Polyline](http://github.com/egeloen/ivory-google-map/blob/master/doc/usage/overlays/encoded_polyline.md)
         - [Polygon](http://github.com/egeloen/ivory-google-map/blob/master/doc/usage/overlays/polygon.md)
         - [Rectangle](http://github.com/egeloen/ivory-google-map/blob/master/doc/usage/overlays/rectangle.md)
         - [Circle](http://github.com/egeloen/ivory-google-map/blob/master/doc/usage/overlays/circle.md)
         - [Ground overlay](http://github.com/egeloen/ivory-google-map/blob/master/doc/usage/overlays/ground_overlay.md)
         - [Marker cluster](http://github.com/egeloen/ivory-google-map/blob/master/doc/usage/overlays/marker_cluster.md)
      - [Controls](http://github.com/egeloen/ivory-google-map/blob/master/doc/usage/controls/index.md)
         - [Map type](http://github.com/egeloen/ivory-google-map/blob/master/doc/usage/controls/map_type.md)
         - [Overview](http://github.com/egeloen/ivory-google-map/blob/master/doc/usage/controls/overview.md)
         - [Pan](http://github.com/egeloen/ivory-google-map/blob/master/doc/usage/controls/pan.md)
         - [Rotate](http://github.com/egeloen/ivory-google-map/blob/master/doc/usage/controls/rotate.md)
         - [Scale](http://github.com/egeloen/ivory-google-map/blob/master/doc/usage/controls/scale.md)
         - [Street view](http://github.com/egeloen/ivory-google-map/blob/master/doc/usage/controls/street_view.md)
         - [Zoom](http://github.com/egeloen/ivory-google-map/blob/master/doc/usage/controls/zoom.md)
      - [Layers](http://github.com/egeloen/ivory-google-map/blob/master/doc/usage/layers/index.md)
         - [KML Layer](http://github.com/egeloen/ivory-google-map/blob/master/doc/usage/layers/kml_layer.md)
      - [Events](http://github.com/egeloen/ivory-google-map/blob/master/doc/usage/events.md)
      - [Places](http://github.com/egeloen/ivory-google-map/blob/master/doc/usage/places/index.md)
         - [Autocomplete](http://github.com/egeloen/ivory-google-map/blob/master/doc/usage/places/autocomplete.md)
      - [Services](http://github.com/egeloen/ivory-google-map/blob/master/doc/usage/services/index.md)
         - [Geocoding API](http://github.com/egeloen/ivory-google-map/blob/master/doc/usage/services/geocoding/geocoder.md)
         - [Directions API](http://github.com/egeloen/ivory-google-map/blob/master/doc/usage/services/directions/directions.md)
         - [Distance Matrix API](http://github.com/egeloen/ivory-google-map/blob/master/doc/usage/services/distance_matrix/distance_matrix.md)
         - [Business Account](http://github.com/egeloen/ivory-google-map/blob/master/doc/usage/services/business_account.md)

## Testing

The library is fully unit tested by [PHPUnit](http://www.phpunit.de/) with a code coverage close to **100%**. To execute
the test suite, check the travis [configuration](https://github.com/egeloen/ivory-google-map/blob/master/.travis.yml).

## Contribution

We love contributors! Ivory is an open source project. If you'd like to contribute, feel free to propose a PR!

## License

The Ivory Google Map is under the MIT license. For the full copyright and license information, please read the
[LICENSE](https://github.com/egeloen/ivory-google-map/blob/master/LICENSE) file that was distributed with this source
code.
